import { Injectable } from '@angular/core';

const TOKEN_KEY = 'accessToken';
@Injectable({
  providedIn: 'root'
})
export class TokenService {

  constructor() {
  }


  public getUser(): any {
    const user = this.decodeJWT(window.sessionStorage.getItem(TOKEN_KEY)!)
    if (user) {
      return user;
    }

    return ;
  }

  decodeJWT(token: string) {
    let base64Url = token.split('.')[1]; // ดึงส่วนที่เป็น Payload
    let base64 = base64Url.replace('-', '+').replace('_', '/'); // แก้ไข base64 ให้ถูกต้อง
    let jsonPayload = decodeURIComponent(atob(base64).split('').map(function (c) {
      return '%' + ('00' + c.charCodeAt(0).toString(16)).slice(-2);
    }).join(''));
    return  JSON.parse(jsonPayload);
  }
}
